summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/gdb
diff options
context:
space:
mode:
authorJonathan Liu <net147@gmail.com>2013-07-14 17:04:20 +1000
committerSaul Wold <sgw@linux.intel.com>2013-07-18 07:14:39 -0700
commit4f7fd6ba77e3c233faafe490c1986527789ed80c (patch)
treeacc28e24a300e04c89e8c9464fc5cf539eaf85bf /meta/recipes-devtools/gdb
parent9d64f117cccf69916ce5b08039edcb3a19dc2b58 (diff)
downloadopenembedded-core-4f7fd6ba77e3c233faafe490c1986527789ed80c.tar.gz
openembedded-core-4f7fd6ba77e3c233faafe490c1986527789ed80c.tar.bz2
openembedded-core-4f7fd6ba77e3c233faafe490c1986527789ed80c.zip
gdb: add PACKAGECONFIG for Python support
Signed-off-by: Jonathan Liu <net147@gmail.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'meta/recipes-devtools/gdb')
-rw-r--r--meta/recipes-devtools/gdb/gdb_7.6.bb21
1 files changed, 21 insertions, 0 deletions
diff --git a/meta/recipes-devtools/gdb/gdb_7.6.bb b/meta/recipes-devtools/gdb/gdb_7.6.bb
index 6b38812d60..54082b80e3 100644
--- a/meta/recipes-devtools/gdb/gdb_7.6.bb
+++ b/meta/recipes-devtools/gdb/gdb_7.6.bb
@@ -1,2 +1,23 @@
require gdb.inc
require gdb-7.6.inc
+
+inherit python-dir
+
+PACKAGECONFIG ??= ""
+PACKAGECONFIG[python] = "--with-python=${WORKDIR}/python,--without-python,python"
+
+do_configure_prepend() {
+ if [ -n "${@base_contains('PACKAGECONFIG', 'python', 'python', '', d)}" ]; then
+ cat > ${WORKDIR}/python << EOF
+#!/bin/sh
+case "\$2" in
+ --includes) echo "-I${STAGING_INCDIR}/${PYTHON_DIR}/" ;;
+ --ldflags) echo "-Wl,-rpath-link,${STAGING_LIBDIR}/.. -Wl,-rpath,${libdir}/.. -lpthread -ldl -lutil -lm -lpython${PYTHON_BASEVERSION}" ;;
+ --exec-prefix) echo "${exec_prefix}" ;;
+ *) exit 1 ;;
+esac
+exit 0
+EOF
+ chmod +x ${WORKDIR}/python
+ fi
+}